Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPClassTemplatePartialSpecializationSpecialization

All Superinterfaces:
  `Cloneable`, `org.eclipse.core.runtime.IAdaptable`, `IBinding`, `ICompositeType`, `ICPPBinding`, `ICPPClassSpecialization`, `ICPPClassTemplate`, `ICPPClassTemplatePartialSpecialization`, `ICPPClassType`, `ICPPPartiallySpecializable`, `ICPPPartialSpecialization`, `ICPPSpecialization`, `ICPPTemplateDefinition`, `ICPPTypeSpecialization`, `IType`

public interface ICPPClassTemplatePartialSpecializationSpecialization extends ICPPClassTemplatePartialSpecialization, ICPPClassSpecialization
Interface for specializations of partial specializations.

Since:
  5.1
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.ICompositeType

`k_struct, k_union`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPClassTemplatePartialSpecialization

`EMPTY_ARRAY, EMPTY_PARTIAL_SPECIALIZATION_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPClassType

`EMPTY_CLASS_ARRAY, k_class, v_private, v_protected, v_public`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

## Method Summary

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.ICompositeType

`getCompositeScope, getKey, isAnonymous`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPClassSpecialization

`getAllDeclaredMethods, getBases, getConstructors, getDeclaredFields, getDeclaredMethods, getFields, getFriends, getMethods, getNestedClasses, getSpecializedBinding, getUsingDeclarations, specializeMember, specializeMember`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPClassTemplate

`asDeferredInstance, getPartialSpecializations`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPClassTemplatePartialSpecialization

`getPrimaryClassTemplate, getTemplateArguments`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPClassType

`findField, getAllDeclaredMethods, getBases, getConstructors, getDeclaredFields, getDeclaredMethods, getFields, getFriends, getMethods, getNestedClasses, getUsingDeclarations, getVisibility, isFinal, isNoDiscard`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPPartialSpecialization

`getPrimaryTemplate`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPSpecialization

`getTemplateParameterMap`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPTemplateDefinition

`getTemplateParameters`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`